/beta/dark_oil/imagery#
Fetch enriched imagery data from dark oil terminals
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/beta/dark_oil/imagery |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/beta/dark_oil/imagery" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
dark_oil_imagery_resp = hyperion_api_client.dark_oil_imagery()
dark_oil_imagery_df = dark_oil_imagery_resp.df()
dark_oil_imagery_df.head()
# Example of a Windows PowerShell request to the dark_oil_imagery endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$headers.Add("Content-Type", "application/json")
$body = @"
{
`"date_min`": `"2025-11-24`",
`"date_max`": `"2026-02-28`"
}
"@
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/beta/dark_oil/imagery' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
country |
string array |
An array of strings |
— |
date_max |
— |
The end date range in YYYY-MM-DD format |
— |
date_min |
— |
The start date range in YYYY-MM-DD format |
— |
terminal |
string array |
An array of strings |
— |
terminal_id |
string array |
An array of strings |
— |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
country |
string |
Country where the terminal is located |
United States |
date |
string |
A date in YYYY-MM-DD format |
2021-11-24 |
image_captured |
boolean |
Whether a satellite image of the terminal was captured |
True |
terminal |
string |
Terminal name |
Port of Houston |
terminal_id |
string |
The unique identifier for the terminal |
TERMINAL_001 |